Subject: bug#52053: 29.0.50; Nonsensical button "C-x C-f" in scratch buffer

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Nov 2021 17:15:31 +0200

> Date: Thu, 25 Nov 2021 14:55:15 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked]
> 
> 
> >> 4. Let-bind help-link-key-to-documentation to nil around the calls to 
> >> s-c-k to indicate that the calls to help-mode--add-function-link should 
> >> be skipped.  ISTM that this is not generic enough, if in six months we 
> >> had another similar feature it would be necessary to let-bind two 
> >> variables around calls for non-*Help* buffers, and so forth.
> >
> > I think the best solution is to change the default value of 
> > help-link-key-to-documentation to be nil, and then bind it to non-nil in 
> > Help commands.
> >
> > I'm not sure I understand what additional feature you have in mind and 
> > how such an additional feature could be related to this discussion. So 
> > please elaborate on that part.
> >
> 
> I have no idea what that feature could be, but the 
> help-link-key-to-documentation feature was added a month ago, and 
> substitute-command-key is rather complex, so I can very well imagine that 
> a new help-frobnicate feature could be added in a not too far future.

At which point we will either make it dependent on the same variable,
or maybe rename the variable if its name no longer fits what it
controls.

Would that resolve the issue?